Introduction
 Top Next
FT Prog is an application that allows users to program the EEPROM of multiple FTDI devices as well as re-programming the flash firmware version of a Vinculum device. The application can be seen as a direct replacement to the currently used MProg EEPROM programmer and VProg flash ROM programmer.

FT Prog is available as a free download from the Utilities section of the FTDI website .

EEPROM Programmer:

Currently supported devices include:

· FT2232HL/HQ
· FT4232HL/HQ
· FT232RL & FT232RQ
· FT245RL & FT245RQ
· FT2232D/C/L
· FT232BM/BL/BQ
· FT245BM/BL/BQ
· FT8U232AM
· FT8U245AM

These devices support 93C46 EEPROMs organised in 16-bit words, except for the R series devices which have an internal EEPROM. The BM, D/C/L and the HL/HQ devices also support 93C56 and 93C66 EEPROMs organised in 16-bit words. When fitted with an external EEPROM FT Prog allows customisation of the device default parameters such as VID, PID, Serial Number, Manufacturer Descriptor and Product Descriptor. FT Prog provides a fast and simple way of programming these parameters across multiple connected devices.

Flash ROM:

The FTDI Vinculum VNC1L-1A device is an embedded USB host controller with a Flash based microcontroller. It is possible to reprogram the Flash memory with new firmware via the UART interface using the VNC1L-1A's internal bootloader.

FTDI's second generation USB host controller, VNC2, can be programmed via the UART using the internal progloader.

FT Prog allows for programming of the Vinculum Flash either using the D2XX library or via a legacy COM port. The different firmware versions for the VNC1L-1A are available from the Vinculum website .

© Copyright Future Technology Devices International Ltd. 2009 - All Rights Reserved


Installing FT Prog
 Previous Top Next


Installing Windows CDM (D2XX) Drivers
Full directions for how to install D2XX drivers for FTDI devices are provided in the appropriate driver installation guide available from the FTDI website . Sample instructions are available below given for a Windows 2000 installation, but other Windows versions are very similar.

While FT Prog uses the D2XX interface, FT232R, FT245R, and FT2232 devices that are programmed to load a virtual com port will also lead the com port from the CDM devices. As BM and AM series devices do not have an EEPROM setting for this, they will install a com port automatically.

· If a device of the same type has been installed on the machine before and the drivers that are about to be installed are different from those installed already, the original drivers need to be uninstalled. Please refer to the appropriate driver installation guide for details of how to do this
· Download the latest available CDM drivers from the FTDI website and unzip them to a location on your PC.

Connect the device to a spare USB port on your PC. If the device on an FT2232 device, the Microsoft composite device driver is automatically loaded first.

Once the composite driver has been installed the Found New Hardware Wizard will launch. Click 'Next' to proceed with installation.

Select 'Search for a suitable driver for my device (recommended)' as shown below and click 'Next'.

Check the box next to 'Specify a location' and uncheck all others as shown below.

Clicking 'Next' displays a dialog box for you to enter to the location of the drivers.

Click 'Browse' to display an open file dialog box.

Locate the folder containing the latest drivers downloaded from the FTDI website above and click 'Open', and then click 'OK'. The PC autoselects the correct INF file, in this case FTDIBUS.inf. Once Windows has found the required driver .INF file, click 'Next' to proceed.

Windows should then display a message indicating that the installation was successful. Click 'Finish' to complete the installation for the serial converter driver for this port of the device. The com port emulation driver must be installed after this has been completed.

If the device is a dual or quad series, the Found New Hardware Wizard will continue by installing the USB Serial Converter driver for the second, third or fourth ports of the device. The procedure for installing is identical to that for installing the first port as above.

By examining the Device Manager (located in "Control Panel\System" then select the "Hardware" tab and click "Device Manger…") and viewing by connection ("View > Devices by connection"), the device appears as a "USB Serial Converter" with an additional COM port with the label "USB Serial Port". If the device is based on the FT2232, two ports will be available from a composite USB device.


Overview - EEPROM
FT Prog has the ability to erase, program and scan and parse the EEPROM contents for the FT4232H, FT2232H, FT232R, FT245R, FT2232, FT232B, FT245B, FT8U232AM and FT8U245AM devices. The contents of multiple device EEPROMs can be viewed and altered from within the application allowing for fast and easy programming. Templates can be created and saved which can be later applied to any number of connected devices.

The EEPROM programmer is the first tab within the application window as shown below in fig. 1.

Fig. 1

See Also: Getting Started


Getting Started
The following topics will discuss and demonstrate the basic steps for scanning for connected devices, how to create templates and apply them to these devices and finally how to program or erase the data held on the EEPROM of the devices.

Ø Scanning for connected devices
Ø Creating new templates
Ø Saving templates
Ø Applying templates to devices
Ø Programming devices
Ø Erasing devices


Scan and Parse
To begin searching for devices connected to the host PC press the 'Scan and Parse' button located in the middle of the toolbar:

Alternatively select 'Devices' -> 'Scan and Parse' from the menu at the top of the screen:

Any devices that are connected to the system will then be read and displayed on the left hand side of the screen within the 'Device Tree' window. As shown we currently have two devices connected to our system:

Highlighting different tabs within the 'Device Tree' will display device specific information within the 'Property' Window on the right hand side of the screen.

The data within the property window has been parsed from the device and gives a representation of what is currently programmed into the EEPROM. Data within these fields can now be changed to the required values. Please Note: Any changes within the property window will not be made permanent until the device has been programmed.

The raw data [see note] that has been read from the EEPROM of each device is displayed within the 'Device Output' window. The window will only display the raw data of the device that has been highlighted within the 'Device Tree'. Right clicking in the 'Device Output' window displays a context menu allowing for the copying of data and the highlighting of individual words.

Note: The data in the 'Device Output' window is arranged per word and is byte reversed. The numbers down the left hand side represent the hexadecimal position of the first word in that row within the EEPROM.


New Template
To create a new EEPROM template click on the 'New Template' button in the toolbar.

Alternatively select 'File' -> 'New Template' from the file menu.

When a new template has been created it will appear within the 'Device Tree' as shown in Fig.1, template parameters can now be defined by changing the values within the 'Property' window.

Fig. 1


Save Template
When a template has been defined it is possible to save it so that it can be used in future projects. There are a number of ways to achieve this:

By selecting the 'Save As Template' button in the toolbar.

By selecting 'File' -> 'Save As Template' from the file menu.

Or by right clicking on a template within the 'Device Tree' and selecting 'Save As Template'.

The save dialog as shown in Fig.1 allows the user to enter a name for the EEPROM template. All templates are saved as a human readable xml file which can be opened in notepad/wordpad etc. Please note: We recommend that templates are not altered by hand, if the structure or data within the template is incorrect it will not appear properly within the application and will therefore be unusable for applying to devices.

Device settings can also be saved as templates, this can be achieved by employing any of the three methods above making sure that the correct device is highlighted within the 'Device Tree'.

Fig. 1


Apply Template
Templates can be applied to a device that is visible within the 'Device Tree'. When a template is applied the device will inherit the EEPROM settings as held within the template. This can be useful when programming multiple devices that require the same or similar settings.
Please Note: The template type and the device type must match in order for the template to be applied to the device i.e. a template for a FT2232H cannot be applied to a device of type FT245R.

There are two ways that templates can be applied to a device within the 'Device Tree': by selecting 'Apply Template' from the toolbar [Fig. 1] or by right
clicking on the required device and selecting 'Apply Template' from the context menu [Fig. 2]. In either case the required device must be selected/highlighted within the 'Device Tree'. Any templates that are open within the application window and displayed within the 'Device Tree' will be displayed within both of the 'Apply Template' drop down menus, as highlighted below in Fig. 4.

Fig. 1

Fig. 2

In Fig. 1 the user can press the 'Apply Template' button rather than selecting a template from the drop down menu, a file browser [Fig.3] will appear allowing the user to browse through the windows directory for .xml template files that have previously been saved. Similarly by selecting 'Apply Template' -> 'From File' [Fig. 2] will have a similar effect of loading a file browser allowing the user to apply saved template files.

Fig. 3

Upon selecting an appropriate template, FT Prog will attempt to apply the template to the device. If this operation is successful a confirmation message box will be displayed. If the device type of the template and device do not match an appropriate error message will be displayed stating that the operation was unsuccessful.

Fig. 4


Program Device
Programming a device can be done in one of two ways, as illustrated below. Fig. 1 shows a device within the 'Device Tree' that has been right clicked revealing the device context menu, 'Program Device' is then selected from the menu. This method will only program the EEPROM of the device that has been selected.

Fig. 1

Alternatively, the 'Program' button located in the toolbar can be selected:

This will open the 'Program Devices' form [Fig.2]; the form will only appear if there are devices present within the 'Device Tree'. This window shows all the connected devices and gives a brief overview of the settings that are going to be programmed into the EEPROM. The 'Device List' on the left allows for all or some of the connected devices to be selected for programming, devices are then programmed using the 'Program' button at the bottom right of the screen. The 'Only Program Blank Devices' checkbox will highlight within the 'Device List' any devices that have a blank EEPROM.

Fig. 2


Erasing Device
Erasing a device is achieved by a very similar method to that of programming a device; again this can be done in one of two ways.

Fig. 1 demonstrates erasing a device by right clicking on the device within the 'Device Tree' and then selecting 'Erase Device' from the menu. This method will only erase the EEPROM of the device that is selected.

Fig. 1

Alternatively, the 'Program' button located in the toolbar can be selected.

This will open the 'Program Devices' form as shown in Fig.2, this form will only appear if there are devices present within the 'Device Tree' i.e. a 'Scan and Parse' has been carried out. The 'Device List' on the left allows for all or some of the connected devices to be selected for erasing, devices are then erased using the 'Erase' button at the bottom right of the screen. It is of note that the FT232R and FT245R devices cannot have their EEPROM's erased.

Fig. 2

When a device has been erased the 'Program Devices' form will close and the 'Device Output' box will be updated [Fig. 3] if the erase has been successful.

Fig. 3


Cycle Port

Cycle Device
'Cycle Port' is used to re-enumerate the device; this can be useful after a device has been programmed as it forces the application to re-read the EEPROM contents. Cycle port is the equivalent of an un-plug / re-plug of the USB device.

To cycle a device, right click on the appropriate device within the 'Device Tree' and select 'Cycle Port' from the context menu [Fig.1]. This operation make take several seconds as the device is re-enumerated, selecting any other items in the 'Device Tree' will be unavailable at this time.

Fig. 1


Chip Details
Fig. 1

Type

The type of the chip. When read from a device this value cannot be changed. FT2232D/C, BM and AM chips cannot be distinguished therefore appear as one item in the box.


USB Device Descriptor

Vendor ID and Product ID

There are 3 options available from the 'Custom VID/PID' combo box in Fig.1:

FTDI Default: using the FTDI default values will mean that the vendor ID and product ID are fixed. In the case of the dual chips (FT2232D/C/H) the product ID is 6010, with the quad chips (FT4232H) the product ID is 6011, for the rest of the devices the product ID is 6001.

Custom PID: if you wish to use FTDI's Vendor ID and FTDI have supplied you with a Product ID for use with your products, please enter the Product ID supplied by FTDI (a 4 digit hexadecimal number) in the Product ID box provided. If you wish to use FTDI's Product ID and do not have a unique Product ID assignedtfor you by FTDI then please email support2@ftdichip.com with your request. There is no charge for this service to bona-fide FTDI customers.

Custom VID/PID: if you have your own USB Vendor ID and Product ID for your device then this option will allow the user to enter both in the boxes provided.

Please Note: if non-standard Vendor ID and/or Product ID values are used the driver INF and INI files must be modified to accommodate the new Vendor ID and Product ID combination. Please refer to the Appendix of this manual for the modifications that should be made.

USB Version

The BM and D/C series devices have the option of to set the USB version to USB 1.1 or USB 2.0. This has no effect on the functionality of the devices, however for USB compliance testing we recommend that you choose USB 2.0. The AM series of devices have a hard coded USB version 1.1.


USB Config Descriptor

Power Settings

Bus powered devices draw their power from the USB, Self powered devices have their own power supply. The 'Max Bus Power' value defaults to 90mA for bus powered devices and 0mA for self powered devices.[see notes]

Bus Powered USB Devices:

These fall into two categories:

· Low power bus powered products. These products consume 100mA or less from the USB bus and can be plugged into any USB host or hub port.
· High power bus powered products. These products consume between 101mA and 500mA from the USB bus can be plugged into any USB host. However, such products can only be plugged into self powered USB hubs (hubs that have their own power supply) as bus powered USB hubs can only supply 100mA per hub port.

Self Powered USB Devices:

These fall into two categories:

· True self powered products. These products have their own power supply and do not require any current from the USB bus. Enter a value of zero in the 'Max Bus Power' field.
· Hybrid self powered products. These products have their own power supply, but also draw some of their operating current from the USB bus. Enter the current draw from the USB bus in the'Max Bus Power' field.

USB Remote Wakeup

All devices apart from the FT8U245AM have the ability to resume a PC from the USB suspend (sleep) states. To use the remote wake-up capability on your device enable this option by checking the box.

Pull Down IO Pins in USB Suspend

All series of chip apart from the AM have the ability to control power to external peripheral circuitry, select this option to minimize the USB suspend current. See the product data sheets, application schematics and designers guides for more details.

Notes:
· The maximum current that can be draw from the USB bus without violating USB specifications is 500mA. FT Prog will not allow a value greater than 500mA to be entered into the field.
· On plug-in, no USB product is allowed to consume more than 100mA from the USB bus until USB enumeration is complete i.e. the product and it's USB drivers are successfully loaded by the host PC. Special care has to be taken in the case of high power Bus Powered products, however the PWREN# pin in the BM series devices simplifies such designs.


USB String Descriptors
Fig. 1

This allows for the string descriptors that the device will use to be changed on the EEPROM. The maximum number of characters that the string descriptors can take is 48 including the Manufacturer, Product Description and Serial Number strings.

Manufacturer

The product manufacturer string e.g. 'FTDI' - best kept short and abbreviated if possible.

Product Description

A brief description of the product, maybe including the part number e.g. 'US232 USB to RS232 Converter'.

Serial Number

USB products have the ability to embed a unique serial number for each product into the low level descriptors that are accessed by the host controller drivers when the product is plugged into the USB bus. In turn, the serial number of a product can be used to identify the product. If this field is left blank and the serial number is enabled FT Prog will generate its own unique serial number at programming.

Serial Number Enabled

Disabling this option allows for multiple identical devices to be plugged into the same host PC. However, it is then impossible for the USB drivers to uniquely identify the devices. We recommend that for most applications this option is enabled.

Auto Generate Serial No

By checking this box FT Prog will automatically generate its own unique serial number for this device in the format FTxxxxxx [Fig.1]. Using the 'Serial Number Prefix' field the user can change the the first two characters of the device serial number.


FT4232H
The FT4232H has 4 independently configurable channels as shown in the left hand side of Fig.1.

Fig. 1

TPRDRV

A new function added to allow firmware fine tuning modification to the rise and fall times of the USB signal lines. The rise and fall times of the USB signals can be system dependant. This function allows some minor change of these times without the need to modify any hardware. The table below highlights the possible TPRDRV settings and the resultant rise and fall rate change.
TPRDRV | Increase t in rise time of USB signals | Increase t in fall time of USB signals
0 | 0 | 0
1 | 0 < t < 10ps | 0 < t < 10ps
2 | 10 < t < 20ps | 10 < t < 20ps
3 | 20 < t < 30ps | 20 < t < 30ps

Virtual COM Port / D2XX Direct

Each channel can be independently set to either use the D2XX driver or the virtual com port driver.

IO Pins

· The slow slew function can be selected for slower output drivers.
· The Schmitt input function can be enabled if the user needs to implement Schmitt trigger function to input pins.
· You can set the IO pin driving ability; the current values are 4mA. 8mA, 12mA or 16mA.


FT2232H
The FT2232H has two independently configurable channels as shown in the left hand side of Fig.1.

Fig. 1

Each channel can be configured to operate in FT232BM style USB UART, FT245BM USB FIFO, CPU FIFO or Fast OPTO-Isolated Serial Interface mode. See the FT2232H device datasheet (available from the Data Sheets page of the FTDI website ) for more information on these modes.

Virtual COM Port / D2XX Direct

Each channel can be independently set to either use the D2XX driver or the virtual com port driver.

Suspend on DBus7 Low

This is an EEPROM configurable option used when the FT2232H is used in a self powered mode and is used to prevent forcing current down the USB lines when the host or hub is powered.

TPRDRV

A new function added to allow firmware fine tuning modification to the rise and fall times of the USN signal lines. The rise and fall times of the USB signals can be system dependant. This function allows some minor change of these times without the need to modify any hardware. The table below highlights the possible TPRDRV settings and the resultant rise and fall rate change.
TPRDRV | Increase t in rise time of USB signals | Increase t in fall time of USB signals
0 | 0 | 0
1 | 0 < t < 10ps | 0 < t < 10ps
2 | 10 < t < 20ps | 10 < t < 20ps
3 | 20 < t < 30ps | 20 < t < 30ps

IO Pins

· The slow slew function can be selected for slower output drivers.
· The Schmitt input function can be enabled if the user needs to implement Schmitt trigger function to input pins.
· You can set the IO pin driving ability; the current values are 4mA. 8mA, 12mA or 16mA.
..............


FT245R

Unlike the FT232R, the FT245R does not allow inverting of signals or configuration of the CBUS pins as they are required.

High Current I/Os

Setting this option will enable the high drive level, the FIFO IO pins will drive out at 12mA instead of the their normal 4mA

Load D2XX Driver

Setting this option will load the D2XX driver rather than the virtual com port driver.

Use External Oscillator

If the device has an external oscillator fitted set this option to use it with your device.
Please Note: Setting this option and not having an external oscillator fitted to your design will result in the device becoming unusable.


FT232R

High Current I/Os

Setting this option will enable the high drive level, the FIFO IO pins will drive out at 12mA instead of the their normal 4mA.

Load D2XX Driver

Setting this option will load the D2XX driver rather than the virtual com port driver.

Use External Oscillator

If the device has an external oscillator fitted set this option to use it with your device.
Please Note: Setting this option and not having an external oscillator fitted to your design will result in the device becoming unusable.

CBUS Pins

The CBUS pins can be configured through combo-boxes[Fig.1].

Fig. 1

Invert RS232 Signals

The RS232 signals can be inverted using the checkboxes [Fig.2].

Fig. 2


FT2232D/C
It is not possible to distinguish between an FT2232D and an FT2232C chip, therefore they appear as one item within the 'Chip Details' section under EEPROM Settings. The only difference between the devices is that the FT2232D has the extra option of configuring both channels with 'CPU FIFO' mode.

Both chips have two independently configurable channels as shown in the left hand side of Fig.1.

Fig. 1

Each channel can be configured to operate in FT232BM style USB UART, FT245BM USB FIFO, CPU FIFO or Fast OPTO-Isolated Serial Interface mode. See the FT2232C device datasheet (available from the Data Sheets page of the FTDI website ) for more information on these modes.

High Current I/Os

Setting this option will enable the high drive level, the FIFO IO pins will drive out at 12mA instead of the their normal 4mA.

Fig. 2

Virtual COM Port / D2XX Direct

Each channel can be independently set to either use the D2XX driver or the virtual com port driver [Fig.2].


Overview - Flash
FT Prog can be used to reprogram the Flash memory of the VNC1L-1A, VNC2 and is available as a free download from the Vinculum website. FT Prog allows for programming of devices across the UART using the Windows CDM (D2XX) drivers or via a virtual com port. It can be seen as a replacement for the VProg application.

Flash ROM is the second tab within the FT Prog application window, as shown in the figure below.


Getting Started
To reprogram the Flash memory of the VNC1L-1A the user must first download the appropriate firmware version from the Vinculum website , details of the different firmware versions can be found on the site. If using the D2xx drivers and connecting via an FT232 device, make sure that the device drivers are installed correctly, see the Installing Windows CDM (D2xx) Drivers section.

Firmware for VNC2 must be built with the Vinculum toolchain and IDE.

To program the Flash memory:

· Firstly, make sure that the jumper settings on the VNC1L device are in the correct position. See the Hardware Considerations section for more information on this.
· Connect the device to the PC.
· Run FT_Prog.exe and select the Flash ROM tab with the Vinculum symbol at the top of the screen [Fig.1].

Fig. 1

· Select the 'Interface' required, virtual com port or D2XX.[Fig.1]
· If any devices are detected by the host PC they will appear in the 'Device' combo box [Fig.2].

Fig. 2

· Choose the correct device description from the list [Fig.2].
· Set the baud rate to program the Flash at.

· Open the file browser using the folder icon.

· Using the file browser find the required ROM file to be programmed into the device.

· Finally press the program button at the bottom of the screen to start re-programming VNC1L / VNC2 Flash.

· The application will firstly sync the baud rate of the device with that of the connecting cable, if this has been successful it will start to write the ROM file to the Flash.

· And then verify that the data written is correct by reading the contents of the Flash and comparing it to the ROM file.

· A message will be displayed if the write has been successful.


Hardware Considerations
In order for Vinculum devices to be programmed, the device must be powered up with its bootloader / progloader active. This is done by powering the chip up with the PROG# pin tied low. The PROG# may be controlled in two ways.

· Manually via a jumper
· FT232R CBUS pins can be used to programmatically set the Vinculum chip into program mode.

Please Note: If the firmware in the device should become corrupted, the device is only recoverable via the UART and bootloader / progloader. All Vinculum designs should provide access to the UART, PROG# and RESET# pins to allow for device recovery.

FT Prog attempts to set program mode using CBUS2 if an FT232R device (connected to PROG#) and then reset the Vinculum to run mode using CBUS3 (connected to RESET# ). For the PROG# pin to be controlled programmatically, the FT232R device is required because it uses the CBUS bit bang mode which is only available on this chip. Other FTDI USB-Serial devices may be used to reprogram the VNC1L using FT Prog application but program mode must be set using a jumper.

To use CBUS bit bang mode on the FT232R it must be enabled in the EEPROM.

Copyright © 2009 Future Technology Devices International Ltd.


Changing the FTDIBUS.INF File
If you are using a VID and PID which is different from the default FTDI ones (VID = 0x0403 and PID = 0x6001 / 0x6010 / 0x6011) you must edit the FTDIBUS.INF file using a text editor such as NotePad. You will have to add extra lines into the [FtdiHw] and [ControlFlags] sections containing the new VIP and PID. You should also add a description of your product into the [Strings] section as shown.

Do not change any other parts of the supplied INF files unless you are an expert and capable of debugging your results for yourself.

The following example shows a new device with a VID of 0x1234 and a PID of 0x5678 which we shall call 'My New USB Device'. In this example, the additional lines are shown in red to highlight them. If the device you are adding is an FT2232C or FT2232D, an entry must be created for each of the ports.

[FtdiHw]
%USB\VID_0403&PID_6001.DeviceDesc%=FtdiBus,USB\VID_0403&PID_6001
%USB\VID_0403&PID_6010&MI_00.DeviceDesc%=FtdiBus,USB\VID_0403&PID_6010&MI_00
%USB\VID_0403&PID_6010&MI_01.DeviceDesc%=FtdiBus,USB\VID_0403&PID_6010&MI_01
%USB\VID_1234&PID_5678.DeviceDesc%=FtdiBus,USB\VID_1234&PID_5678

[Strings]
Ftdi="FTDI"
DriversDisk="FTDI USB Drivers Disk"
USB\VID_0403&PID_6001.DeviceDesc="USB Serial Converter"
USB\VID_0403&PID_6010&MI_00.DeviceDesc="USB Serial Converter A"
USB\VID_0403&PID_6010&MI_01.DeviceDesc="USB Serial Converter B"
USB\VID_1234&PID_5678.DeviceDesc="My New USB Device"
WINUN="Software\Microsoft\Windows\CurrentVersion\Uninstall"
FtdiBus.SvcDesc="USB Serial Converter Driver"


Changing the FTDIPORT.INF File
If you are using a VID and PID which is different from the default FTDI ones (VID = 0x0403 and PID = 0x6001 and 0x6010), you must edit the FTDIPORT.INF file using a text editor such as NotePad. You will need to add an extra line into the [FtdiHw] section containing the new VID and PID. You should also add a description of your product into the [Strings] section as shown.

Do not change any other parts of the supplied INF files unless you are an expert and capable of debugging the results for yourself.

The following example shows a new device with a VID of 0x1234 and a PID of 0x5678 which we shall call "My New USB Device". In this example, the additional lines are shown in red to highlight them. If the device you are adding is an FT2232C or FT2232D, an entry must be created for each of the ports.

[FtdiHw]
%VID_0403&PID_6001.DeviceDesc%=FtdiPort232,FTDIBUS\COMPORT&VID_0403&PID_6001
%VID_0403&PID_6010.DeviceDesc%=FtdiPort2232,FTDIBUS\COMPORT&VID_0403&PID_6010
%VID_1234&PID_5678.DeviceDesc%=FtdiPort232,FTDIBUS\COMPORT&VID_1234&PID_5678

[Strings]
FTDI="FTDI"
DriversDisk="FTDI USB Drivers Disk"
PortsClassName = "Ports (COM & LPT)"
VID_0403&PID_8372.DeviceDesc="USB Serial Port"
VID_0403&PID_6001.DeviceDesc="USB Serial Port"
VID_1234&PID_5678.DeviceDesc="My New USB Device"
FtdiPort.SvcDesc="USB Serial Port Driver"
SerEnum.SvcDesc="Serenum Filter Driver"


Changing the CDM Uninstaller INI Files
If you are using a VID and PID which is different from the default FTDI ones (VID = 0x0403 and PID = 0x6001), you must edit the uninstaller FTDIUN2K.INI files using a text editor such as NotePad. In the [Uninstall] section of each file, edit the line

Device=VID_0403&PID_6001

to reflect the actual VID and PID used.

The following example shows a new device with a VID of 0x1234 and a PID of 0x5678. In this example, the altered line is shown in red to highlight it.

[Uninstall]
Device=VID_1234&PID_5678
Converter=FTDIBUS
Serial=FTSER2K
InfFiles=FTDIBUS,FTDIPORT
Key=FTDICOMM


Uninstalling FT Prog
 Previous Top